# geos::geom::CoordinateSequenceFactory Class Reference

An object that knows how to build a particular implementation of CoordinateSequence from an array of Coordinates. More...

`#include <CoordinateSequenceFactory.h>`

Inheritance diagram for geos::geom::CoordinateSequenceFactory:

List of all members.

## Public Member Functions

virtual CoordinateSequence * | create (std::vector< Coordinate > *coordinates) const =0
| Returns a CoordinateSequence based on the given array. Whether or not the vector is copied is implementation-dependent, for this reason caller does give up ownership of it. Implementations that will not copy it will need take care of deleting it. Note that a NULL value is allowed as coordinates, and will create an empty CoordinateSequence.
virtual CoordinateSequence * | create (size_t size, size_t dimension) const =0
| Creates a CoordinateSequence of the specified size and dimension. For this to be useful, the CoordinateSequence implementation must be mutable.

## Detailed Description

An object that knows how to build a particular implementation of CoordinateSequence from an array of Coordinates.

## Member Function Documentation

virtual CoordinateSequence* geos::geom::CoordinateSequenceFactory::create | ( | size_t | size,
|  | size_t | dimension |
| ) |  |  | const`[pure virtual]`

Creates a CoordinateSequence of the specified size and dimension. For this to be useful, the CoordinateSequence implementation must be mutable.

Parameters:

  | size | the number of coordinates in the sequence
  | dimension | the dimension of the coordinates in the sequence (if user-specifiable, otherwise ignored)

Implemented in geos::geom::CoordinateArraySequenceFactory.

The documentation for this class was generated from the following file:

- CoordinateSequenceFactory.h